#!/bin/sh
set -e

# Remove service
rc-update del mifosx || true
rm -f /etc/init.d/mifosx
rc-update -u

# Drop database and user
[ ! -e /run/openrc/started/mariadb ] && service mariadb start && STOP_MARIADB=1
echo 'DROP DATABASE mifosplatform-tenants; DROP DATABASE mifostenant-default; DROP USER mifosx;' | lxc-attach mariadb -- mysql
[ ! -z ${STOP_MARIADB} ] && service mariadb stop
