#!/bin/sh
set -e

# Remove cronjob
/etc/periodic/hourly/seeddms

# Remove service
rc-update del seeddms || true
rm -f /etc/init.d/seeddms
rc-update -u

# Drop database and user
[ ! -e /run/openrc/started/postgres ] && service postgres start && STOP_POSTGRES=1
echo 'DROP DATABASE seeddms; DROP ROLE seeddms;' | lxc-attach -u 5432 -g 5432 postgres -- psql
[ ! -z ${STOP_POSTGRES} ] && service postgres stop
